# 2. Consulta Centro de Custo

**Endpoint**

```


POST https://cashtrack.com.br/api/cliente/show/centro_custo?page=1

```

**Headers**

```


Accept: application/json
Content-Type: application/json
Authorization: Bearer {{SEU_TOKEN}}

```

**Corpo da Requisição (Request Body)**

```json
json

{
  "id": "",
  "empresa": "",
  "nome": "",
  "descricao": ""
}

```

* `id` (opcional): ID do centro de custo.
* `empresa`: Filtro pelo apelido da empresa (modo *like*) ou filtro pelo ID da empresa quando o campo conter apenas números.
* `nome`: filtro pelo nome do centro de custo (modo *like*).
* `descricao`: filtro pela descrição do centro de custo (modo *like*).

**Exemplo de Resposta**

```json
json

{
  "current_page": 1,
  "data": [
    {
      "id": 2,
      "empresa_id": "ONZE",
      "nome": "ONZE Compras",
      "descricao": "Compras de malhas, tecidos, escrotorios e acessorios."
    },
    {
      "id": 3,
      "empresa_id": "ONZE",
      "nome": "Camisas ONZE Plus",
      "descricao": ""
    }
    // ...demais registros
  ],
  "first_page_url": "https://cashtrack.com.br/api/cliente/show/centro_custo?page=1",
  "from": 1,
  "last_page": 1,
  "last_page_url": "https://cashtrack.com.br/api/cliente/show/centro_custo?page=1",
  "links": [...],
  "next_page_url": null,
  "path": "https://cashtrack.com.br/api/cliente/show/centro_custo",
  "per_page": 25,
  "prev_page_url": null,
  "to": 5,
  "total": 5
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cashtrack.com.br/cashtrack-api-v.1.0.2/requisicoes/2.-consulta-centro-de-custo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
